import { Locator } from "playwright-core";
import { Atom } from "../../atom";
export declare class ChipsAtom extends Atom {
    static CSS_CLASS: string;
    static qtyLabelClass: string;
    static itemClass: string;
    static itemRemoveIconClass: string;
    static groupNameClass: string;
    static clearAllLinkClass: string;
    static chipsoverflowedClass: string;
    get groups(): Locator;
    get getChipElements(): Locator;
    getChipElement(index: number): Locator;
    removeItem: (index: number) => Promise<void>;
    clearAll: () => Promise<void>;
    getChipsQuantityFromLabel(): Promise<number>;
    click: () => Promise<void>;
    get getChipsOverflow(): Locator;
    get popup(): Locator;
}
